
<%@ page language="java" %>
<%@ taglib uri="http://java.sun.com/jsf/html" prefix="h" %>
<%@ taglib uri="http://java.sun.com/jsf/core" prefix="f" %>

<%
String path = request.getContextPath();
String basePath = request.getScheme()+"://"+request.getServerName()+":"+request.getServerPort()+path+"/";
%>

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
	<base href="<%=basePath%>">

	<title>JSF Converters</title>
</head>
  
<body>
	<f:view>
		<h4>DateTime converter</h4>
		
		<p>Display only the date and the dateStyle is <i>short</i></p>
		<h:outputText value="#{myBean.dateVar}">
			<f:convertDateTime type="date" dateStyle="short" />
		</h:outputText>
		
		<p>Display only the time and the timeStyle is <i>full</i></p>
		<h:outputText value="#{myBean.dateVar}">
			<f:convertDateTime type="time" timeStyle="full" />
		</h:outputText>
		
		<p>Display both date and time, the dateStyle is <i>full</i> and the locale is <i>ru</i></p>
		<h:outputText value="#{myBean.dateVar}">
			<f:convertDateTime type="both" dateStyle="full" locale="ru" />
		</h:outputText>
		
		<p>Display the both, date and time and the dateStyle is <i>short</i></p>
		<h:outputText value="#{myBean.dateVar}">
			<f:convertDateTime type="both" dateStyle="short" />
		</h:outputText>
		
		<p>Display a date with the pattern <i>dd.MM.yyyy HH:mm</i></p>
		<h:outputText value="#{myBean.dateVar}">
			<f:convertDateTime pattern="dd.MM.yyyy HH:mm" />
		</h:outputText>
		
		<h:form id="datetime1">
			<p>Input a date and the dateStyle is <i>short</i></p>
			<h:inputText value="#{myBean.dateVar}">
				<f:convertDateTime type="date" dateStyle="short" />
			</h:inputText>
			<h:commandButton value="Send" />
		</h:form>
		<h:form id="datetime2">
			<p>Input a date matching this pattern <i>dd.MM.yyyy</i></p>
			<h:inputText value="#{myBean.dateVar}">
				<f:convertDateTime pattern="dd.MM.yyyy" />
			</h:inputText>
			<h:commandButton value="Send" />
		</h:form>
		
		<h4>Number converter</h4>
		
		<p>Display maximal <i>3 integer digits</i></p>
		<h:outputText value="#{myBean.integerVar}">
			<f:convertNumber maxIntegerDigits="3" />
		</h:outputText>
		
		<p>Display type is <i>currency</i> and the currencySymbol is <i>$</i></p>
		<h:outputText value="#{myBean.integerVar}">
			<f:convertNumber type="currency" currencySymbol="$"/>
		</h:outputText>
		
		<p>Display type is <i>percent</i></p>
		<h:outputText value="#{myBean.integerVar}">
			<f:convertNumber type="percent"/>
		</h:outputText>
		
		<p>Display maximal 4 fraction digits</p>
		<h:outputText value="#{myBean.floatVar}">
			<f:convertNumber maxFractionDigits="4"/>
		</h:outputText>
		
		<p>Display number matching pattern <i>###0,00%</i></p>
		<h:outputText value="#{myBean.floatVar}">
			<f:convertNumber pattern="###0,00%"/>
		</h:outputText>
		
		<h:form id="number1">
			<p>Input a number but only the integer digits will be processed</p>
			<h:inputText value="#{myBean.integerVar}">
				<f:convertNumber integerOnly="true"/>
			</h:inputText>
			<h:commandButton value="Send" />
		</h:form>
		
		<h:form id="number2">
			<p>Input a number matching the pattern <i>##0,00</i></p>
			<h:inputText value="#{myBean.integerVar}">
				<f:convertNumber pattern="##0,00"/>
			</h:inputText>
			<h:commandButton value="Send" />
		</h:form>
		
	</f:view>
</body>
</html>
